> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmonita.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Crawl Page



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1
openapi: 3.1.0
info:
  title: Monita API
  description: API documentation for Monita
  version: 0.1.0
servers:
  - url: https://crawl.getmonita.io
    description: production server
security: []
paths:
  /api/v1:
    post:
      summary: Crawl Page
      operationId: crawl_page_api_v1_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: API key for authorization
            title: X-Api-Key
          description: API key for authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrawlRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrawlRequest:
      properties:
        user:
          anyOf:
            - type: object
            - type: 'null'
          title: User
        url:
          type: string
          title: Url
        options:
          anyOf:
            - $ref: '#/components/schemas/Options'
            - type: 'null'
        validationRules:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationRule'
              type: array
            - type: 'null'
          title: Validationrules
        session_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Session Id
      type: object
      required:
        - url
        - session_id
      title: CrawlRequest
    CrawlResponse:
      properties:
        sessionId:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Sessionid
        button:
          anyOf:
            - $ref: '#/components/schemas/ButtonAttributes'
            - type: 'null'
        success:
          type: boolean
          title: Success
          default: false
        marketingPixels:
          anyOf:
            - items:
                $ref: '#/components/schemas/MarketingPixel'
              type: array
            - type: 'null'
          title: Marketingpixels
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        cookiesBefore:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cookiesbefore
        cookiesAfter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cookiesafter
        timeTaken:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timetaken
        error:
          anyOf:
            - $ref: '#/components/schemas/ErrorMessage'
            - type: 'null'
        validationResults:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationResult'
              type: array
            - type: 'null'
          title: Validationresults
        screenShotUrls:
          anyOf:
            - $ref: '#/components/schemas/ScreenShotUrls'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: CrawlResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Options:
      properties:
        screenShots:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Screenshots
          default: false
        byPassConsent:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Bypassconsent
          default: true
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        proxy:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Proxy
          default: true
        webhook:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Webhook
          default: false
      type: object
      title: Options
    ValidationRule:
      properties:
        rule_id:
          type: string
          format: uuid4
          title: Rule Id
        condition:
          anyOf:
            - type: string
            - type: 'null'
          title: Condition
          default: OR
        rule_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule Type
          default: Pixel
        vendor:
          type: string
          title: Vendor
        key:
          type: string
          title: Key
        value:
          type: string
          title: Value
      type: object
      required:
        - rule_id
        - vendor
        - key
        - value
      title: ValidationRule
    ButtonAttributes:
      properties:
        button_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Button Text
        consent_banner:
          type: boolean
          title: Consent Banner
        error_message:
          anyOf:
            - $ref: '#/components/schemas/ErrorTypes'
            - type: 'null'
      type: object
      required:
        - button_text
        - consent_banner
        - error_message
      title: ButtonAttributes
    MarketingPixel:
      properties:
        vendor:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
        page:
          anyOf:
            - type: string
            - type: 'null'
          title: Page
      type: object
      title: MarketingPixel
    ErrorMessage:
      properties:
        error:
          type: boolean
          title: Error
        message:
          type: string
          title: Message
      type: object
      required:
        - error
        - message
      title: ErrorMessage
    ValidationResult:
      properties:
        rule_id:
          type: string
          format: uuid4
          title: Rule Id
        success:
          type: boolean
          title: Success
      type: object
      required:
        - rule_id
        - success
      title: ValidationResult
    ScreenShotUrls:
      properties:
        screenShotBefore:
          type: string
          title: Screenshotbefore
        screenShotAfter:
          type: string
          title: Screenshotafter
      type: object
      required:
        - screenShotBefore
        - screenShotAfter
      title: ScreenShotUrls
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ErrorTypes:
      type: string
      enum:
        - recaptcha
        - accessDenied
      title: ErrorTypes

````